Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ProxyConcurrentMaps

    java.lang.Object
      org.apache.openjpa.util.Proxies
          org.apache.openjpa.util.ProxyMaps
              org.apache.openjpa.util.ProxyConcurrentMaps

    public class ProxyConcurrentMaps

extends ProxyMaps

Utility methods used by concurrent map proxies.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.util.ProxyMaps
`ProxyMaps.ProxyEntrySet`

Constructor Summary
`ProxyConcurrentMaps()`

Method Summary
`static boolean` | `afterRemove(ProxyMap map, Object key, Object value, boolean ret, boolean before)` Call after invoking `Map.remove(java.lang.Object)` on super.
`static boolean` | `beforeRemove(ProxyMap map, Object key, Object value)` Call before invoking `Map.remove(java.lang.Object)` on super.

Methods inherited from class org.apache.openjpa.util.ProxyMaps
`afterEntrySet, afterGet, afterPut, afterRemove, afterSetProperty, beforeClear, beforeGet, beforeLoad, beforeLoadFromXML, beforePut, beforeRemove, beforeSetProperty, keySet, putAll, values`

Methods inherited from class org.apache.openjpa.util.Proxies
`assertAllowedType, dirty, isOwner, removed, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyConcurrentMaps

    public ProxyConcurrentMaps()

Method Detail

### beforeRemove

    public static boolean beforeRemove(ProxyMap map,
                                       Object key,
                                       Object value)

  Call before invoking `Map.remove(java.lang.Object)` on super.

### afterRemove

    public static boolean afterRemove(ProxyMap map,
                                      Object key,
                                      Object value,
                                      boolean ret,
                                      boolean before)

  Call after invoking `Map.remove(java.lang.Object)` on super.

  Parameters:
    `ret` - the return value from the super's method
    `before` - the return value from `beforeRemove(org.apache.openjpa.util.ProxyMap, java.lang.Object, java.lang.Object)`
  Returns:
    the value to return from `Map.remove(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.